Light APIv1.0.0

API / Reference / Cards

List cards

GET https://api.light.inc/v1/cards

Returns a paginated list of cards

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Query parameters

  • sort string

    Sort string in the format field:direction. To provide multiple sort fields, separate them with commas.

    Available directions: asc, desc.

    Available fields: accountId, status, createdAt.

  • filter string

    Filter string in the format field:operator:value. To provide multiple filters, separate them with commas.

    Available operators: eq, ne, in, not_in, gt, gte, lt, lte.

    • For in and not_in operators, provide multiple values separated by the pipe character (|).

    Available fields: id, cardBalanceAccountId, status, type, createdAt, updatedAt.

  • limit integer · int32

    Maximum number of items to return. Default is 50, maximum is 200.

  • offset integer · int64deprecated

    Number of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.

  • cursor string

    The cursor position to start returning results from. To opt-in into cursor-based pagination, provide 0 for the initial request. For subsequent requests, use nextCursor and prevCursor from the previous response to navigate. Cursor values are opaque and should not be constructed manually.

Response

  • records array of object

    List of records for the current page

    • id string · uuid

    • companyEntityId string · uuid

    • companyEntityName string

    • companyId string · uuid

    • ownerId string · uuid

    • ownerName string

    • cardBalanceAccountId string · uuid

    • cardBalanceAccountLabel string

    • currency string

    • form string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of PHYSICAL VIRTUAL

    • status string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of ACTIVE FROZEN CLOSED UPDATE_IN_PROGRESS

    • metadata object

      • type string

        ⚠️ This enum is not exhaustive; new values may be added in the future.

        One of VENDOR EMPLOYEE

    • threeDs object

      • phoneNumber object

        Vendor phone number.

        • countryCode string

          ⚠️ This enum is not exhaustive; new values may be added in the future.

          One of UNDEFINED AC AD AE AF AG AI AL AM AN AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BU BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CP CR CS CU CV CW CX CY CZ DE DG DJ DK DM DO DZ EA EC EE EG EH ER ES ET EU EZ FI FJ FK FM FO FR FX GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU IC ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NT NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SF SG SH SI SJ SK SL SM SN SO SR SS ST SU SV SX SY SZ TA TC TD TF TG TH TJ TK TL TM TN TO TP TR TT TV TW TZ UA UG UK UM US UY UZ VA VC VE VG VI VN VU WF WS XI XU XK YE YT YU ZA ZM ZR ZW

        • localNumber string

      • password string

      • email string

    • vendorId string · uuid

    • vendorName string

    • vendorAvatarUrl string

    • description string

    • bin string

    • lastFour string

    • cardholderName string

    • limitIntervalSpend integer · int64

    • limits array of object

      • id string · uuid

      • companyId string · uuid

      • cardId string · uuid

      • amount integer · int64

      • currency string

      • interval string

        ⚠️ This enum is not exhaustive; new values may be added in the future.

        One of PER_TRANSACTION WEEKLY MONTHLY

      • createdAt string · date-time

      • updatedAt string · date-time

    • createdAt string · date-time

    • updatedAt string · date-time

    • type string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of VENDOR EMPLOYEE

  • hasMore boolean

    Boolean flag indicating if there are more records available

  • total integer · int64deprecated

    Total number of records (only for offset pagination). This field is not guaranteed to be returned and only available for offset pagination, please do not rely on it and migrate to cursor pagination.

  • nextCursor string

    Cursor for fetching the next page (only for cursor pagination)

  • prevCursor string

    Cursor for fetching the previous page (only for cursor pagination)